package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 盘点数据记录对象 record_inspection_info
 * 
 * @author wangh
 * @date 2024-02-18
 */
public class RecordInspectionInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 外键 */
    @Excel(name = "外键")
    private Long inspectionId;

    /** RFID */
    @Excel(name = "RFID")
    private String epcCode;

    /** 机位码 */
    @Excel(name = "机位码")
    private String locationCode;

    /** 巡检结果 */
    @Excel(name = "巡检结果")
    private String inspectionState;

    /** 异常原因 */
    @Excel(name = "异常原因")
    private String inspectionRemark;

    public void setInspectionId(Long inspectionId) 
    {
        this.inspectionId = inspectionId;
    }

    public Long getInspectionId() 
    {
        return inspectionId;
    }
    public void setEpcCode(String epcCode) 
    {
        this.epcCode = epcCode;
    }

    public String getEpcCode() 
    {
        return epcCode;
    }
    public void setLocationCode(String locationCode) 
    {
        this.locationCode = locationCode;
    }

    public String getLocationCode() 
    {
        return locationCode;
    }
    public void setInspectionState(String inspectionState) 
    {
        this.inspectionState = inspectionState;
    }

    public String getInspectionState() 
    {
        return inspectionState;
    }
    public void setInspectionRemark(String inspectionRemark) 
    {
        this.inspectionRemark = inspectionRemark;
    }

    public String getInspectionRemark() 
    {
        return inspectionRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectionId", getInspectionId())
            .append("epcCode", getEpcCode())
            .append("locationCode", getLocationCode())
            .append("inspectionState", getInspectionState())
            .append("inspectionRemark", getInspectionRemark())
            .toString();
    }
}
